    var changetype='';
    $(function(){all_change('is_offline')});
     //打开弹窗    
    function bulk_edit(){          
        var query = new Object();
        query.datas = $('#myform').serialize();
        $.ajax({
            url: APP+'Goods/all_edit',
            type: "post",
            data: query,
            dataType: "json",
            success: function (obj) {
                if(obj.status==1){
                    $("#bulk_edit").show();
                    $("#choose_goods_maks").show();
                    $("#goods_num").html(obj.goods_num);
                    $("#tr_td").html(obj.tr_td);
                    $("input[name='ids']").val(obj.ids);
                }else{
                    $.showErr(obj.msg,3,'hc');
                }
            }
        });
    }//通过点击项获取要选择的项
    function all_change(change_type,goods_type){
        changetype=change_type;
        $(".curtains").hide();
        var query = new Object();
        query.change_type=change_type;
        query.goods_type=goods_type;
        $.ajax({
            url: APP+'Goods/all_change',
            type: "post",
            data: query,
            dataType: "json",
            success: function (obj) {
                if(obj.status==1){
                    var content=obj.select_option;
                    $("#emr_select").html(content);//单子段编辑
                    $("#emr_cont").html(obj.input);                    
                }else{
                    $.showErr(obj.msg,3,'hc');
                }
                
            }
        });
    }
    //适用于单选   
    function huainput(change_type){     
        if ($(".swicth").hasClass('off')) {
            $(".sBotton").css("left","50%");
            $(".swicth").removeClass('off');
            $("input[name='"+change_type+"']").val(1);
            if(change_type=='staff_comm')$(".curtains").hide();
        }else{
            $(".sBotton").css("left","0");
            $(".swicth").addClass('off');
            $("input[name='"+change_type+"']").val(0);
            if(change_type=='staff_comm'){
                $(".curtains").show();                
                $("#staff_comm_2").attr("checked",false);
                $("#staff_comm_3").attr("checked",false);
            }
        }
    }
    function all_update(){
        switch(changetype){
            case 'cat_id':
                change_name='请选择商品要移至的分类';
                var cat_id=$("select#cat_id").val();
                if(cat_id==0){
                    $.showErr(change_name,3,'hc');return false;
                }
                break;
            case 'brand_id':
                change_name='请选择商品要移至的品牌';
                var brand_id=$("select#brand_id").val();
                if(brand_id==0){
                    $.showErr(change_name,3,'hc');return false;
                }
                break;
            case 'suppliers_id':
                change_name='请选择供货商';
                var suppliers_id=$("select#suppliers_id").val();
                if(suppliers_id==0){
                    $.showErr(change_name,3,'hc');return false;
                }
                break;
            case 'staff_comm':
                change_name='请选择一种提成方式';
                var staff_comm=$("input[name='staff_comm']").val();
                var staffcomm=0;
                if(staff_comm==1)staffcomm = $("input[name='staffcomm']:checked").val();
                if(staff_comm==1 && !staffcomm){$.showErr(change_name,3,'hc');return false;}
                break;
        }
        var query = new Object();
        query=$('#allupdateform').serialize();
        $.ajax({
        url: APP+'Goods/all_update',
            type: "post",
            data: query,
            dataType: "json",
            success: function (obj) {
                if(obj.status==1){
                    $.showSuccess(obj.msg,3,'hc');                
                }else{
                    $.showErr(obj.msg,3,'hc');
                }
                
            }
        });
    }
    //失去焦点
    function staff_comm_onblur(obj){
        $(obj).removeClass('textInput2');
        $(obj).removeClass('textInput1');
    }//点击的时候
    function staff_comm_click(obj){
        $(obj).addClass('textInput2');
    }
    function staff_comm_onmouseover(obj){
        $(obj).addClass('textInput1');
    }
    function staff_comm_onmouseout(obj){
        staff_comm_onblur(obj);
    }
    $(function(){
        var $div_li =$(".edit_main_left ul li");
        $div_li.click(function(){
            $(this).addClass("on")            //当前<li>元素高亮
                   .siblings().removeClass("on");  //去掉其它同辈<li>元素的高亮
            var index =$div_li.index(this);  // 获取当前点击的<li>元素 在 全部li元素中的索引。
            $(".edit_main_right>div")       //选取子节点。不选取子节点的话，会引起错误。如果里面还有div
                    .eq(index).show()   //显示 <li>元素对应的<div>元素
                    .siblings().hide(); //隐藏其它几个同辈的<div>元素
        })

        //关闭
        $(".dialog-close").click(function(){
             $("#bulk_edit").hide();
            $("#choose_goods_maks").hide();
        })
        $(".change_close").click(function(){
             $("#bulk_edit").hide();
            $("#choose_goods_maks").hide();
        });
    })